freenet.support.CPUInformation

## Class CPUID.CPUIDResult

- java.lang.Object
- - freenet.support.CPUInformation.CPUID.CPUIDResult

- Enclosing class:
    CPUID

      protected static class CPUID.CPUIDResult
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `EAX`
    `(package private) int` | `EBX`
    `(package private) int` | `ECX`
    `(package private) int` | `EDX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPUID.CPUIDResult(int EAX, int EBX, int ECX, int EDX)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EAX

          final int EAX

    - #### EBX

          final int EBX

    - #### ECX

          final int ECX

    - #### EDX

          final int EDX

  - ### Constructor Detail

    - #### CPUID.CPUIDResult

          CPUID.CPUIDResult(int EAX,
                           int EBX,
                           int ECX,
                           int EDX)